Subject: Fw: Freethought Mailings

From: "Arthur Jackson" <[email-masked]>
Date: Thu, 2 Dec 2004 17:38:55 -0800

Hi David,

I ran across the below and thought it might be of some interest so am sending it as a test message.

Arthur
=============================
----- Original Message ----- 
From: Arthur Jackson 
To: [email-masked] 
Cc: [email-masked] ; [email-masked] 
Sent: Tuesday, November 12, 2002 2:08 PM
Subject: Freethought Mailings

Hi Amanda,

I've been working my way through the e-mail URLs and addresses on the AHA webpage to send the Darwin Day announcement and invitation to get involved. As I mentioned previously I've sent messages to some 550 Humanist, Atheist, Secular Jewish, etc., etc. Today I came to the UUA URL and started to work on it. The process is rather long and involved to actually come up with e-mail addresses and of course this is a vast selection. I'm willing to work on it as time permits and do what I can, but I started to think that maybe I should discuss this with you in case you have that list, and have already sent something to all of the local churches.

Let me know your thoughts, etc. on this.

Hugs,
Art